Subject: bug#4594: -Q does not ignore all X resources

From: Juanma Barranquero <[email-masked]>
Date: Wed, 30 Sep 2009 03:55:26 +0200

On Wed, Sep 30, 2009 at 03:36, Glenn Morris <[email-masked]> wrote:

> If I have items like:
>
> Emacs.pane.menubar.*.Foreground: Red
> Emacs.menu*.Foreground: Blue
> Emacs.dialog*.foreground: Green
>
> in my ~/.Xdefaults file, then `emacs -Q' continues to respect these
> settings. I expected it to ignore _all_ Emacs-related X resources.
> This feature would be more useful if it did so.

Hmm. The only (non-Windows) function I modified to obey
inhibit_x_resources was xrdb.c:x_get_string_resource.

I don't have an X environment. If you can determine which other
functions should be modified, that'd be great.

    Juanma